tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Milt Epstein <mepst...@uiuc.edu>
Subject RE: mod_jserv does not build on Unix
Date Tue, 24 Apr 2001 15:42:00 GMT
On Tue, 24 Apr 2001, Lian, Xiaobu (Alice) (Xiaobu (Alice)) wrote:

> Hi Uma,
>
> Have you received any response for this?  I have had the same
> problem when I was building mod_jk. Since I could not figure out
> the good solution, I just edited the file apxs and commented out the
> line "use strict;".  It passed the procedure and I have mod_jk built
> successfully.  I do not know what I have missed, and could not find
> the strict.pm, either.  Just FYI.  I hope somebody can help with this.
> Thanks!

Don't think commenting that line out is a good idea.

Sounds like Perl might be mis-configured on your system.  The strict
module is part of the core Perl distribution, and has been for a while
(one system I'm on has 5.003, and it has it).  Can you find the file
strict.pm under any of the directories listed as part of @INC?  You
can go to the topmost directory in the perl lib structure, and run the
following command:

  find . -name strict.pm

If it's there, and it's not in one of the directories listed as part
of @INC, you've got a problem, and if it's not there, you've also got
a problem :-).  Might want to talk to your system administrator.


> -----Original Message-----
> From: S Uma [mailto:suma@india.hp.com]
> Sent: Monday, April 23, 2001 1:58 AM
> To: tomcat-user@jakarta.apache.org
> Subject: mod_jserv does not build on Unix
>
>
> Hello,
>
> I am a new user of tomcat on Unix. I need to use Tomcat with Apache. I
> tried to build mod_jserv on Unix and it gave the following error.
>
> Can't locate strict.pm in @INC (@INC contains:
> /Applications/App_Dirs/perl5/lib/PA-RISC1.1/5.00404
> /Applications/App_Dirs/perl5/lib
> /Applications/App_Dirs/perl5/lib/site_perl/PA-RISC1.1
> /Applications/App_Dirs/perl5/lib/site_perl .) at
> /usr/apache_1.3.19/bin/apxs line 67.
> BEGIN failed--compilation aborted at /usr/apache_1.3.19/bin/apxs line 67
>
> I have Perl 5 installed on my machine. Is there anything that I am
> missing?
>
> Has anyone tried this before?
>
> Please respond. I have posted this message already and I did not get any
> reply.
>
> Thanks,
> Uma
>

Milt Epstein
Research Programmer
Software/Systems Development Group
Computing and Communications Services Office (CCSO)
University of Illinois at Urbana-Champaign (UIUC)
mepstein@uiuc.edu


Mime
View raw message